<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="wrap_content"
    android:layout_height="wrap_content"
    android:orientation="vertical">

    <include
        android:id="@+id/fingerprint"
        layout="@layout/view_fingerprint"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginTop="4dp"
        android:layout_marginBottom="4dp"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

    <Switch
        android:id="@+id/fingerprint_toggle"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginStart="12dp"
        app:layout_constraintBottom_toTopOf="@+id/divider"
        app:layout_constraintStart_toEndOf="@+id/fingerprint"
        app:layout_constraintTop_toTopOf="parent" />

    <TextView
        android:id="@+id/fingerprint_timestamp"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        tools:text="2018-03-01T15:26:12Z"
        app:layout_constraintStart_toStartOf="@id/fingerprint"
        app:layout_constraintEnd_toEndOf="@id/fingerprint"
        app:layout_constraintTop_toBottomOf="@id/fingerprint"
        app:layout_constraintBottom_toBottomOf="parent" />

    <View
        android:id="@+id/divider"
        android:layout_width="match_parent"
        android:layout_height="1dp"
        android:background="?android:attr/listDivider"
        app:layout_constraintTop_toBottomOf="@id/fingerprint_timestamp" />


</androidx.constraintlayout.widget.ConstraintLayout>